/*
    TiMidity++ -- MIDI to WAVE converter and player
    Copyright (C) 1999-2002 Masanao Izumo <mo@goice.co.jp>
    Copyright (C) 1995 Tuukka Toivonen <tt@cgs.fi>

    This program is free software; you can redistribute it and/or modify
    it under the terms timip_of the GNU General Public License as published by
    the Free Software Foundation; either version 2 timip_of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty timip_of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy timip_of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

#ifndef __TIMIP_NET_H_
#define __TIMIP_NET_H_

#ifdef WIN32
#include "timip_win32.h"
#endif

#if defined(WINSOCK)
#include <winsock.h>
#else
typedef int SOCKET;
#define closesocket(fd) close(fd)
#define WSADATA int
#define MAKEWORD(a,b)
#define WSAStartup(a,b)
#define WSACleanup()
#endif

extern SOCKET timip_open_socket(char *host, unsigned short port);
extern int timip_socket_shutdown(SOCKET fd, int how);
extern long timip_socket_write(SOCKET fd, char *buff, long bufsiz);

extern FILE *timip_socket_fdopen(SOCKET fd, char *mode);
extern char *timip_socket_fgets(char *buff, int n, FILE *fp);
extern int timip_socket_fgetc(FILE *fp);
extern long timip_socket_fread(void *buff, long bufsiz, FILE *fp);
extern long timip_socket_fwrite(void *buff, long bufsiz, FILE *fp);
extern int timip_socket_fflush(FILE *fp);
extern int timip_socket_fclose(FILE *fp);

#endif /* __TIMIP_NET_H_ */
